import {Component, Input, OnInit} from '@angular/core';
import {Event} from '../../models/event';

@Component({
    selector: 'app-event',
    templateUrl: './event.component.html',
    styleUrls: ['./event.component.css']
})
export class EventComponent implements OnInit {
    @Input() event: Event = {} as Event;
    eventTypeClass: string = '';

    constructor() {
    }

    ngOnInit(): void {
        let latestFullChange = this.event.changes[this.event.changes.length - 1];
        if(latestFullChange.is_deleted) {
            latestFullChange = this.event.changes[this.event.changes.length - 2];
        }

        switch(latestFullChange.new_categories) {
            case 'Prüfung':
                this.eventTypeClass = 'event-card-exam';
                break;
            case 'Lehrveranstaltung':
                this.eventTypeClass = 'event-card-lecture';
                break;
            case 'Sonstige':
                this.eventTypeClass = 'event-card-blocker';
                break;
            default:
                this.eventTypeClass = 'event-card-blocker';
        }
    }

}
